


import 'dart:io';

import '../lib/peparse.dart';


void main() {
  const filepath = "D:\\software\\qq\\Bin\\QQ.exe";
  File file = File(filepath);
  var data = ReaderSeeker(file.readAsBytesSync());
  var header = ImageDocHeader(data);
  print(header.toString());
  data.seek(header.elfanew);
  var nt = ImageNtHeaders32(data);
  print(nt.toString());
  print(data.position);
  var sections = <ImageSectionHeader>[];
  for (var i = 0; i < nt.fileHeader.numberOfSections; i++) {
    sections.add(ImageSectionHeader(data));
  }

  for (var section in sections) {
    print(section.toString());
  }
  
  
}
