import 'dart:typed_data';

class ReaderSeeker {
  int position = 0;
  int length = 0;
  late Uint8List data;
  ReaderSeeker(Uint8List data) {
    this.data = data;
    this.length = data.length;
  }

  ByteData getData(int len ){
    
    var buffer = ByteData.sublistView(data,position,position+len);
    position += len;
    return buffer;

  }

  List<int> getByte(int len){
    var result = data.getRange(position, position+len).toList();
    position += len;
    return result;
  }

  void seek(int seek){
    position = seek;
  }
}